<?php
/* Logaholic Web Analytics software             Copyright(c) 2005-2013 Logaholic B.V.
 *                                                               All rights Reserved.
 * This code is subject to the Logaholic license. Unauthorized copying is prohibited.
 * support@logaholic.com                         http://www.logaholic.com/License.txt
*/ 
include_once("common.inc.php");
AccessCheck();

if(!isset( $_SERVER['HTTP_X_REQUESTED_WITH'] ) || ( $_SERVER['HTTP_X_REQUESTED_WITH'] !== 'XMLHttpRequest' ) ) {
	die("Ajax only");
}

if(!empty($_GET['dashboardname'])) { $dashboardname = urldecode(stripslashes($_GET['dashboardname'])); }
if(!empty($_GET['extra_param'])) { $extra_param = $_GET['extra_param']; } else { $extra_param = false; }

$reportoptions = array("daterangeField");

$optionvalues = $_GET;

foreach($reportoptions as $reportoption) {
	if($reportoption == "daterangeField") {
		if(!empty($optionvalues['minimumDate']) && !empty($optionvalues['maximumDate'])) {
			$minDate = $optionvalues['minimumDate'];
			$maxDate = $optionvalues['maximumDate'];
		} else {
			$minDate = date(GetCustomDateFormat(), strtotime($from));
			$maxDate = date(GetCustomDateFormat(), strtotime($to));
		}

		?>
		<label for='daterangeField'><?php echo _DATE_RANGE; ?></label>
		<input type='text' class='noOption' id='daterangeField' name='daterangeField' value='<?php echo $minDate; ?> - <?php echo $maxDate; ?>' />
		<?php
		echo "<input type='hidden' class='isDefault' id='minimumDate' name='minimumDate' value='{$minDate}' />";
		echo "<input type='hidden' class='isDefault' id='maximumDate' name='maximumDate' value='{$maxDate}' />";
	}
	
	echo "<br/><br/>";
}

if(!empty($dashboardname)) { ?>
<script type='text/javascript'>$("#report_area_extension .report_icon img").attr('src', $('#report_area .dashboard.report_icon[name="<?php echo addslashes($dashboardname); ?>"] img').attr('src'));</script>
<?php }

echo "<input name='conf' id='conf' value='{$profile->profilename}' type='hidden' />";

# check if a subscripion is not set or if the option is not disabled

if($extra_param == 'global') { # We are using global options
} else { # We are using dashboard options
	if(!empty($_REQUEST['dashboardname']) && $_REQUEST['dashboardname'] != 'global' && $session->canEditProfiles()) { # Delete Dashboard
		echo "<a style='position: absolute; margin-top: 100px;' class='edit-dashboard' rel=\"".stripslashes($dashboardname)."\"><div style='width: 16px; height: 16px; float: left; margin-right: 3px; background: url(images/icons/edit_grey.png) no-repeat top center;' /><span style='line-height: 16px; display: block; white-space: nowrap;'>"._EDIT_DASHBOARD."</span></a>";
		if(!CheckSubscriptionOption("Dashboards","Disabled")){
			echo "<a style='position: absolute; margin-top: 126px;' class='delete-dashboard' rel=\"".stripslashes($dashboardname)."\"><div style='width: 16px; height: 16px; float: left; margin-right: 3px; background: url(images/icons/delete_grey.png) no-repeat top center;' /><span style='line-height: 16px; display: block; white-space: nowrap;'>"._DELETE_DASHBOARD."</span></a>";
		}	
	}
}
?>
<script>
$(document).ready( function(){
	/* We'll handle the Quick Date options here */
	$(".set-lwa-datepicker").live("click", function() {
		var DateObject = new Date();
		
		// Today
		if($(this).hasClass('lwa_today')) {
			var from_date = new Date().format('<?php echo implode($profile->dateFormat); ?>');
			var to_date = new Date().format('<?php echo implode($profile->dateFormat); ?>');
		}
		
		// Yesterday
		if($(this).hasClass('lwa_yesterday')) {
			var from_date = new Date(new Date().setDate(new Date().getDate()-1)).format('<?php echo implode($profile->dateFormat); ?>');
			var to_date = new Date(new Date().setDate(new Date().getDate()-1)).format('<?php echo implode($profile->dateFormat); ?>');
		}
		
		// Last 7 Days
		if($(this).hasClass('lwa_last7days')) {
			var from_date = new Date(new Date().setDate(new Date().getDate()-6)).format('<?php echo implode($profile->dateFormat); ?>');
			var to_date =  new Date().format('<?php echo implode($profile->dateFormat); ?>');
		}

		// Last 30 Days
		if($(this).hasClass('lwa_last30days')) {
			var from_date = new Date(new Date().setDate(new Date().getDate()-30)).format('<?php echo implode($profile->dateFormat); ?>');
			var to_date =  new Date().format('<?php echo implode($profile->dateFormat); ?>');
		}
		
		// This Month
		if($(this).hasClass('lwa_thismonth')) {
			var from_date = '<?php echo date(implode($profile->dateFormat),strtotime("01 ".date("F")." ".date("Y"))); ?>';
			var to_date =  new Date().format('<?php echo implode($profile->dateFormat); ?>');
		}
		
		// Last Month
		if($(this).hasClass('lwa_lastmonth')) {
			var from_date = '<?php echo date(implode($profile->dateFormat),mktime(0,0,0,date("m")-1,01,date("Y"))); ?>';
			var to_date = '<?php echo date(implode($profile->dateFormat),mktime(23,59,59,date("m"),1 -1,date("Y"))); ?>';
		}
		
		// Last 3 Months
		if($(this).hasClass('lwa_last3months')) {
			var from_date = '<?php echo date(implode($profile->dateFormat),mktime(0,0,0,date("m")-2,01,date("Y"))); ?>';
			var to_date =  new Date().format('<?php echo implode($profile->dateFormat); ?>');
		}
		
		// This Year
		if($(this).hasClass('lwa_thisyear')) {
			var from_date = '<?php echo date(implode($profile->dateFormat),strtotime("01 January ".date("Y"))); ?>';
			var to_date =  new Date().format('<?php echo implode($profile->dateFormat); ?>');
		}
		
		// Last Year
		if($(this).hasClass('lwa_lastyear')) {
			var from_date = '<?php echo date(implode($profile->dateFormat),strtotime("01 January ".(date("Y")-1))); ?>';
			var to_date = '<?php echo date(implode($profile->dateFormat),strtotime("31 December ".(date("Y")-1))); ?>';
		}
		
		// All Time
		if($(this).hasClass('lwa_alltime')) {
			var from_date = '<?php echo date(implode($profile->dateFormat),LogaholicFirstTimestamp());?>';
			var to_date =  new Date().format('<?php echo implode($profile->dateFormat); ?>');
		}
		


		$("#fromRange").datepicker('setDate', from_date);
		$("#toRange").datepicker('setDate', to_date);
		$("#daterangeField").attr('value', from_date + ' - ' + to_date);
		$('#minimumDate').attr('value', from_date);
		$('#maximumDate').attr('value', to_date);
		$(".lwa_datepicker").hide();
		$(".lwa_datepicker_overlay").hide();
	});
});
</script>