<?php
/* Logaholic Web Analytics software             Copyright(c) 2005-2014 Logaholic B.V.
 *                                                               All rights Reserved.
 * This code is subject to the Logaholic license. Unauthorized copying is prohibited.
 * support@logaholic.com                         http://www.logaholic.com/License.txt
*/
session_start();

require_once 'core_factory.php';
Logaholic_sessionStart();

$lang = Logaholic_setLang();
include_once "languages/$lang.php";

# All database errors will be raised as errors.  No need for special handling.
require_once("components/adodb/adodb-errorhandler.inc.php");   
# Use adodb for database work.
require_once("components/adodb/adodb.inc.php");

include_once "includes/install.php";
$install = new Install();

# Set the variables from the session if available
if(!empty($_SESSION['TmpGlobal'])){
	$install->SetNewConnection($_SESSION['TmpGlobal']);	
	$install->ConnectDb();
}

# All is good now rename the file and respond good
if(isset($_POST['validation'])){
	if(empty($_SESSION['TmpGlobal']) && file_exists($install->global_file)){
		die("ok");
	}

	if($_POST['validation'] == 'ok' && !empty($_SESSION['TmpGlobal'])){
		
		# Add Admin user if there really is no one logged in
		if(!empty($_SESSION['TmpGlobal']['adminUser'])){
			$install->AddAdmin();
		}		

		# Now write the global file
		$install->WriteGlobal();

		# Empty session		
		$_SESSION['TmpGlobal'] = array();	
			
		if(file_exists($install->global_file)){

			die("ok");
		} else {
			$install->Invalid(_ERROR_WRITING_GLOBAL);
		}		
	} else {
		$install->Invalid(_INVALID_VALIDATION);
	}
}

if(file_exists($install->global_file)){
	include_once "common.inc.php";
	if($validUserRequired && $session->isAdmin()){
		# Okidoki User can use this form.
	} else {
		echo $template->NoAccess(_NO_PERMISSION_FOR_ADMIN_AREA. ".<br><a href='profiles.php'>". _CLICK_HERE_TO_CONTINUE .".</a>");
		echo "</body></html>"; exit;
	}
}
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
	<head>
		<title><?php echo _LOGAHOLIC_INSTALLATION;?></title>
		<link rel="icon" href="favicon.ico" type="image/x-icon" />
		<link rel="stylesheet" type="text/css" href="templates/template_v3.css">
		<link rel="stylesheet" type="text/css" href="templates/install.css">

		<script type="text/javascript" src="components/jquery/js/jquery-1.7.1.min.js"></script>
		<script type="text/javascript">
			function getFileName() {
				//this gets the full url
				var url = document.location.href;
				//this removes the anchor at the end, if there is one
				url = url.substring(0, (url.indexOf("#") == -1) ? url.length : url.indexOf("#"));
				//this removes the query after the file name, if there is one
				url = url.substring(0, (url.indexOf("?") == -1) ? url.length : url.indexOf("?"));
				//this removes everything before the last slash in the path
				url = url.substring(url.lastIndexOf("/") + 1, url.length);
				//return
				return url;
			}

			function GoNext(){
				$.ajax({
					url: getFileName(),
					type: "POST",
					data: { "validation" : "ok" },
					success: function (result) {
						if(result == 'ok'){
							if (document.location.protocol=="https:") { var ptcl = "https:" } else { var ptcl = "http:" }
							window.location = ptcl + "//<?php echo $_SERVER['HTTP_HOST'] . str_replace("install.php","", $_SERVER["REQUEST_URI"]); ?>";
						}
					}
				});				
			}

			function SettingsRequest(){
				window.location = getFileName() + "?action=start";
			}

			$(document).on("keydown", "#dbform input", function(){
				$("#dbform input[name='save']").show();
			});

			$(document).on("mouseenter", ".dropdown > li", function(){
				var dropdownElement = $(this);
				dropdown_timer = setTimeout(function () {
					dropdownElement.find('.dropdown-list').show();
				}, 100);
			});	

			$(document).on("mouseleave", ".dropdown > li", function(){
				clearTimeout(dropdown_timer);
				$(this).find('.dropdown-list').hide();
			});	
		</script>
	</head>
	<body>
		<div id="header">
			<span><img src="images/logaholic_logos/logaholic-32x32.png" style="margin-top: -5px; margin-right:5px; float: left;" alt="Logaholic" /><?php echo _INSTALL_LOGAHOLIC; ?></span>
			<div id="top_menubar_right">
				<ul class="dropdown top_navigation">
					<li class="first language-picker">
						<?php
						echo "<a href='#'><img src='images/flags/". ucwords($lang) .".png'>". _LANGUAGE ."</a>";
						echo "<ul class='dropdown-list' style='display: none; right:0;'>";
						foreach ($install->langs as $l) {
							echo "<li class='language'><a href='?lang={$l}'><img alt='". ucwords($l) ."' src='images/flags/". ucwords($l) .".png' />". constant("_". strtoupper($l)) ."</a></li>";
						}
						?>
					</li>
				</ul>
			</div>
		</div>
		<div id="installWrapper">
			<div id="content">
				<div id="introWrapper">
					<h1><?php echo _WELCOME_LOGAHOLIC_SOFTWARE; ?></h1>
					<span><?php echo _INSTALL_INTRO; ?></span>					
				</div>
				<div id="settings">
					<?php if(!file_exists($install->global_file) 
						&& ( empty($_GET['action']) || $_GET['action'] != 'start' )
					){ 
						echo '<span>'. _INSTALL_NOTICES_DESC .':</span>';
						echo '<div style="margin:10px 0;">';
							$install->echoValid(_INSTALL_GREEN_BOX);
							$install->echoNotice(_INSTALL_YELLOW_BOX);
							$install->echoInvalid(_INSTALL_RED_BOX);
						echo '</div>';
						echo '<button onclick="SettingsRequest(); return false;" style="font-size: 16px; margin: 20px 20px 0 260px; padding: 10px 30px;" >'. _START_INSTALL .'</button>';
					} else { ?>
						<?php
						# Check if the form posted data, if so do handling for it 
						$install->FormDataChecks();
						$install->AdminsCheck();
						?>
						<div class="checks">
							<span class="header"><?php echo _DATABASE_SETTINGS; ?></span>
							<div class="result">
								<form id="dbform" name="dbform" method="post" action="?action=start">
									<table style="float:left;">
										<tr>
											<td valign="top" class="label"><?php echo _DB_NAME; ?>:</td>
											<td valign="top"><input type="text" size="35"  name="DatabaseName" value="<?php echo $install->DatabaseName; ?>" /></td>
											<td valign="top" class="idesc"><?php echo _DB_NAME_EXPLAIN;?></td>
										</tr>
										<tr>
											<td valign="top" class="label"><?php echo _DB_SERVER; ?>:</td>
											<td valign="top"><input type="text" name="mysqlserver" id="mysqlserver" size="35" value="<?php echo $install->mysqlserver; ?>" /></td>
											<td valign="top" class="idesc"><?php echo _DB_SERVER_EXPLAIN;?></td>
										</tr>
										<tr>
											<td valign="top" class="label"><?php echo _DB_USERNAME; ?>:</td>
											<td valign="top"><input size="35" type="text" name="mysqluname" value="<?php echo $install->mysqluname; ?>" /></td>
											<td valign="top" class="idesc"><?php echo _DB_USERNAME_EXPLAIN;?></td>
										</tr>
										<tr>
											<td valign="top" class="label"><?php echo _DB_PASSWORD; ?>:</td>
											<td valign="top"><input size="35" type="password" name="mysqlpw" value="<?php echo $install->mysqlpw; ?>" /></td>
											<td valign="top" class="idesc"><?php echo _DB_PASSWORD_EXPLAIN;?></td>
										</tr>
										<tr>
											<td valign="top" class="label"><?php echo _DB_PREFIX; ?>:</td>
											<td valign="top"><input type="text" size="35" name="mysqlprefix" value="<?php echo $install->mysqlprefix; ?>"></td>
											<td valign="top" class="idesc"><?php echo _PLEASE_ENTER_PREFIX;?></td>
										</tr>
										<tr>
											<td valign="top" class="label"><?php echo _MYSQLTMP; ?>:</td>
											<td valign="top"><input type="text" size="35" name="mysqltmp" value="<?php echo $install->mysqltmp; ?>"></td>
											<td valign="top" class="idesc"><?php echo _MYSQLTMP_DESC;?></td>
										</tr>
										<tr>
											<td valign="top" class="label"><?php echo _DATADIR; ?>:</td>
											<td valign="top"><input size="35" type="text" name="datadir" value="<?php echo $install->datadir; ?>" /></td>
											<td valign="top" class="idesc"><?php echo _DATADIR_DESC;?></td>
										</tr>
										<?php if($install->adminNeeded === true){ ?>
										<tr>
											<td valign="top" class="label"><?php echo _ADMIN_USERNAME; ?>:</td>
											<td valign="top"><input size="35" type="text" name="adminUser" value="<?php echo $install->adminUser; ?>" /></td>
											<td valign="top" class="idesc"><?php echo _ADMIN_USERNAME_DESC;?></td>
										</tr>
										<tr>
											<td valign="top" class="label"><?php echo _ADMIN_PASSWORD; ?>:</td>
											<td valign="top"><input size="35" type="password" name="adminUserPass" value="<?php echo $install->adminUserPass; ?>" /></td>
											<td valign="top" class="idesc"><?php echo _ADMIN_PASSWORD_DESC;?></td>
										</tr>
										<?php } ?>
										<tr>
											<td valign="top" class="label"></td>
											<td valign="top"><input name="save" type="submit" style="<?php if(!$install->adminNeeded){ echo 'display:none;'; } ?> cursor:pointer; width:100%; font-size: 16px;" value="<?php echo _SAVE; ?>"></td>
											<td valign="top" class="idesc">
												<input type="hidden" name="PrevDatabaseName" value="<?php echo $install->DatabaseName; ?>" />
												<input type="hidden" name="PrevPrefix" value="<?php echo $install->mysqlprefix; ?>" />
											</td>
										</tr>
									</table>
								</form>
							</div>	
						</div>
						<div class="checks">
							<span class="header"><?php echo _MYSQL_SETTINGS; ?></span>
							<div class="result">
							<?php 
							# Check if Mysqli extension is loaded
							$install->CheckMysqli();

							if($install->connected === true){
								# See if the mysql time tables are up to date
								if($install->CheckMysqlTimeZoneTables() === true){
									$install->echoValid(_MYSQL_TIMETABLES_FOUND);
								} else {
									$install->echoNotice(
										_MYSQL_TIMETABLES_NOT_FOUND	
										, str_replace("%X%", "<a href='http://dev.mysql.com/doc/refman/5.6/en/time-zone-support.html' target='_blank'>",_PLEASE_INSTALL_TIME_TABLES) . "</a>"
									);
								}

								if($install->CheckMysqlTmp()){
									# check if mysql load data infile is possible
									$install->CheckLoadDataInfile();
								} else {
									$install->echoInvalid(
										_MYSQLTMP_NOT_WRITEABLE
										,"<a href='http://www.logaholic.com/manual/installation/file-permissions/' target='_blank'>". _HELP ."</a>"
									);
								}
								
							} else { 		
								$install->echoInvalid(_ERROR_NO_CONN);
							} 
							?>
							</div>	
						</div>	
						<div class="checks">
							<span class="header"><?php echo _FILE_CHECK; ?></span>
							<div class="result">
								<?php
								# Check if dirs and files permissions are set corect
								$install->FilePermissionsChecks();
								?>
							</div>
						</div>
						<div class="checks">
							<span class="header"><?php echo _PHP_SETTINGS; ?></span>
							<div class="result">
								<?php
								$install->PhpSettings();
								?>
							</div>	
						</div>
						<?php
						if (!$install->db || !$install->db->IsConnected()) {
							# Only show buttons when we have a database object

						} else if($install->errors == 0){
							?>
							<div id="staticOptions">
								<button onclick='SettingsRequest(); return false;'><?php echo _CHECK_AGAIN; ?></button> 
								<a class="button" onclick="GoNext();"><?php echo _CONTINUE; ?></a>
							</div>
							<?php
						} else {
							?>
							<div id="staticOptions">
								<button onclick='SettingsRequest(); return false;'><?php echo _CHECK_AGAIN; ?></button> 
								<a class="button disabled"><?php echo _CONTINUE; ?></a>
							</div>
							<?php
						}
					} ?>
					<div style="float:left; height:90px; width: 100%;"></div>
				</div>
			</div>
		</div>
	</body>
</html>