<?php
/* Logaholic Web Analytics software             Copyright(c) 2005-2013 Logaholic B.V.
 *                                                               All rights Reserved.
 * This code is subject to the Logaholic license. Unauthorized copying is prohibited.
 * support@logaholic.com                         http://www.logaholic.com/License.txt
*/ 
require_once 'core_factory.php';
Logaholic_sessionStart();

$path = dirname(realpath("index.php"));
$path = str_replace ("\\", "/", $path);

$dont_close_session = true; // we need this for profile settings import
include_once "common.inc.php";

if (($validUserRequired) && (!$session->isAdmin())) {
	echo $template->NoAccess();
	exit;
}	

if(isset($_POST["lang"])){
	setGlobalSetting("DefaultLanguage",$_POST["lang"]);
}

if (@$_REQUEST["uninstall"]=="confirm") {	
	if(getGlobalSetting("IsWordPressInstall") == true) {
		if(!empty($mysqlprefix)) {
			 if ($q = $db->Execute("SHOW TABLES FROM ". $DatabaseName ." LIKE ". $db->Quote("{$mysqlprefix}%"))) {
				while($tbl = $q->FetchRow()) {
					$db->Execute("DROP TABLE ". $tbl[0]);
				}
				
				$active_plugins = $db->Execute("SELECT * FROM wp_options WHERE option_name = 'active_plugins'");
				$plugindata = $active_plugins->FetchRow();
				
				$plugins = unserialize($plugindata['option_value']);
				
				foreach($plugins as $pluginid => $plugin) {
					if(strpos($plugin, "logaholic") !== false) {
						unset($plugins[$pluginid]);
					}
				}
				
				$plugindata['option_value'] = serialize($plugins);
				$active_plugins = $db->Execute("UPDATE wp_options SET option_value = ". $db->Quote($plugindata['option_value']) ."  WHERE option_name = 'active_plugins'");
				
				$wp_url = $db->Execute("SELECT * FROM wp_options WHERE option_name = 'siteurl'");
				$wp_url = $wp_url->FetchRow();
				$wp_url = $wp_url['option_value'];
				header("Location: {$wp_url}");
			}
		}
		session_destroy();
		exit;
	}
	
	echo "<div class='indentbody'>&nbsp;<br>";
	if ($db->Execute("drop database ". $DatabaseName)) {
	echo _DATABASE." ". $DatabaseName ." "._REMOVED.".<br><br>";
	}  else {
	echo _PROBLEM_DELETING_DATABASE.'.';
	}
	echo "<font color=red><b>"._WHAT_TO_DO_TO_UNINSTALL.".</b></font><br><br>";
	echo "</div></body></html>";
	session_destroy();
	exit();
}

require "top.php";

if (@$_REQUEST["uninstall"]=="yes") { 
     echo "<div class='indentbody'>&nbsp;<br>";
     echo "<font color=red><b>"._ARE_YOU_SURE_ABOUT_UNINSTALLING."?<br><br>"._UNINSTALL_WARNING_PART1." \"$DatabaseName\" "._UNINSTALL_WARNING_PART2."</font><br><br>";
     echo "<a id='uninstall_confirm' href=\"settings.php?uninstall=confirm\" onclick=\"return confirm('"._LAST_CHANCE_TO_CANCEL."')\">"._YES_IM_100_PERC_SURE." '$DatabaseName'</a>";
     echo "</div></body></html>"; 
	 exit();
}

if (@$_REQUEST["deleterange"]==1) {
	echo "<div class=\"indentbody\">"._DELETE_DATE_RANGE_FROM." <b>all</b><P><form method=get action=\"settings.php\">";
	echo "<input type=hidden name=\"deleterange\" value=2>";
	DateSelector($from,$to);
	echo "<input type=radio name=what value=2 checked> "._DELETE_ALL_LOG_DATA."<br>";
	echo "<input type=radio name=what value=1> "._DELETE_ONLY_DETAIL_DATA."<br>";
	echo "<input type=radio name=what value=3> "._DELETE_ONLY_SUMMARY_DATA."<br>";
	echo "<input type=submit name=submit value=Delete>  "._PLEASE_BE_PATIENT_DELETING_TAKES_A_WHILE."</div>";
	exit();
}


if(isset($_GET['activateall'])) {
	# Activate All Profiles
	$db->Execute("UPDATE ".TBL_PROFILES." SET `activated` = 1");
}


if (isset($_REQUEST["globalstats"])=="yes") { 
    echo "<div class='indentbody'>&nbsp;<br>";
    include "includes/globalstats.php";    
    echo "</div></body></html>";
    exit();
}

if (isset($_REQUEST["toggle_ipencode"])==1) {
    $msg = toggleIPencoding();
    if ($msg !== false) {
        echoWarning($msg);		
		# toggleIPencoding Rewrites the global.php file so we need to include the new written variables.
        include("files/global.php");
    } else {
        echoWarning("There was a problem saving this setting");
    }    
}

if (isset($_REQUEST["toggle_emailalerts"])==1) {
    $msg = toggleEmailAlerts();
    if ($msg !== false) {
        echoWarning($msg);		
    } else {
        echoWarning("There was a problem saving this setting..");
    }    
}
if (isset($_REQUEST["toggle_urlinsensitive"])==1) {
    $msg = toggleUrlInsensitive();
    if ($msg !== false) {
        echoWarning($msg);		
    } else {
        echoWarning("There was a problem saving this setting..");
    }    
}

if(isset($_GET['import_profile'])) {
	// import profile settings from json file
	echo "<div class=\"indentbody\">";
	echo "<form method=post action=\"settings.php\" enctype=\"multipart/form-data\">";
	echo "This function can import profile settings from a json file (You can export profile settings from the Profile's maintenance page).<br>";
	echo "<br>Enter the full path and filename of the json profile file you would like to import:<br>";
	echo "<input type=file name=\"importLocation\" size=100><br>";
	echo "<input type=submit value=\"Import it!\"></form>";
	echo "</div></body></html>";
    exit();
}

if(isset($_FILES['importLocation'])) {
	// import profile settings from json file
	
	if(!strpos($_FILES['importLocation']["name"],'.json')){
		echoWarning("Invalid Profile Settings File!","margin:10px;");
		echo "</div></body></html>";
		exit();
	}
	include "includes/profile_import_export.php";
	echo "<div class=\"indentbody\">";
	$ep = new ProfileImportExport();
	$ep->importLocation = $_FILES['importLocation']["tmp_name"];
	$ep->importProfileSettings();
	echo "</div></body></html>";
    exit();
}
	
if ((isset($_REQUEST["mysql"])) && $_REQUEST["mysql"]==1) {
	echoNotice("To change mysql settings, please change the logaholic/files/global.php file using an editor. Or, you can delete global.php and re-run install.php.","margin:10px");
	exit();
	
}
?>
<div class="indentbody">
<table width=600><tr><td>
<?php
if (((!$loginSystemExists) || ($userAuthenticationType == USER_AUTHENTICATION_NONE)) ||  (($validUserRequired) && $session->isAdmin())) {
    echo "<div style=\"width:220px;border:1px solid silver;color:gray;float:right;padding:10px;background-color:#F8F8F8;margin-left:10px;margin-top:20px;\">";
    $lo->PrintInfo();
    echo "<br><a href=getlicense.php>"._GET_LICENSE."</a>";
    echo "</div>"; 
}
?>
<h3>Logaholic <?php echo _GLOBAL_SETTINGS;?></h3>
<?php echo '<P>'._WELCOME_YOU_ARE_USING_LOGAHOLIC.' '._LOGAHOLIC_PRODUCTNAME.' '.LOGAHOLIC_VERSION_NUMBER . ' '; ?>
<?php echo _WITH_PHP_VERSION.' '.phpversion();?> <?php echo _AND_DATABASE.' '.$databasedriver. " "._VERSION." " .$vnumfull. "</P>";?>
<br>
<div class="indentbody">
        <a href="profiles.php"><img width=16 height=16 src=images/icons/profiles.gif border=0 align=left> <?php echo _CHANGE_PROFILE_SETTINGS;?></a><P>
		<?php
		# Does the login system exist and is turned off, *or*
		# is this a valid user with admin rights.
		if ((($loginSystemExists) && ($userAuthenticationType == USER_AUTHENTICATION_NONE)) ||  (($validUserRequired) && $session->isAdmin() && _LOGAHOLIC_EDITION !=4)) {
		?>
		<a href="user_login/admin.php"><img  width=16 height=16 src=images/icons/group_key.gif border=0 align=left> <?php echo _USER_ADMINISTRATION;?></a><P>
		<a href="settings.php?activateall=1"><img  width=16 height=16 src=images/icons/group_key.gif border=0 align=left> <?php echo "Activate All Profiles";?></a><P>
		<?php if (file_exists("subscriptions.php")) { ?>
			<a href="subscriptions.php"><img  width=16 height=16 src=images/icons/add_profile.gif border=0 align=left> <?php echo _SETUP_REPORT_SUBSCRIPTIONS;?></a><P>
			<?php
			}
		}

		if(file_exists("converttocloud.php")){
			echo "<a href='converttocloud.php'><img width='16' height='16' src='images/icons/add_profile.gif' border='0' align='left'>Enable Cloud Manager</a><p>";
		}

		if(LOGAHOLIC_REPORT_STORE == true){
			if ((!$validUserRequired) || ($session->canEditProfiles())) {
				echo "<a href='get_reports.php'><img width='16' height='16' src='images/icons/report-install.png' border='0' align='left'>"._INSTALL_REPORTS."</a><p>";
			}
		}
		if($_SERVER['HTTP_HOST'] == "localhost"){
			echo "<a href=http://www.logaholic.com><img  width=16 height=16 src=images/icons/home.gif border=0 align=left>"._CHECK_FOR_UPDATES."</a><P>";
        }else{
			if (_LOGAHOLIC_EDITION == 4 || LOGAHOLIC_BASE_EDITION == "cPanel Edition") {
				# Feature not needed in Cpanel edition.
			} else {
				echo "<a href='upgrade.php'><img  width=16 height=16 src=images/icons/home.gif border=0 align=left>"._CHECK_FOR_UPGRADE_LOGAHOLIC."</a><P>";
			}
		}
        # Does the login system exist and is turned off, *or*
        # is this a valid user with admin rights.
		
        if (((!$loginSystemExists) || ($userAuthenticationType == USER_AUTHENTICATION_NONE)) ||  (($validUserRequired) && $session->isAdmin())) {
        ?>
        <a href="settings.php?mysql=1&edit=1"><img  width=16 height=16 src=images/icons/database.gif border=0 align=left> <?php echo _CHANGE_DATABASE_SETTINGS;?></a><P>
        <a href="settings.php?deleterange=1"><img  width=16 height=16 src=images/icons/delete.gif border=0 align=left> <?php echo _DELETE_RANGE_FROM_DATABASE;?></a><P>
		<a href="settings.php?import_profile=1"><img  width=16 height=16 src=images/icons/database.gif border=0 align=left> <?php echo "Import profile settings from json file";?></a><P> 
       		
        <?php 
        if (@$ipencoding==true) {
            $encoding = _DISABLE;
            $confirm = _IP_ENCODING_CONFIRM_DISABLE;
        } else {
            $encoding = _ENABLE;
            $confirm = _IP_ENCODING_CONFIRM_ENABLE;    
        }
        ?>
        <a href="settings.php?toggle_ipencode=1" onclick="return confirm('<?php echo $confirm; ?>');"><img  width=16 height=16 src=images/icons/lock-de.png border=0 align=left> <?php echo "$encoding IP Encoding";?></a><P> 
		
        <?php 
        if (getGlobalSetting("ToggleUrlInsensitiveImport",0) == 1) {
            $encoding = _DISABLE;
            $confirm = "Do you want to set the default url import as case sensitive? When disabled Logaholic will set the default url reading as case sensitive.";
        } else {
            $encoding = _ENABLE;
            $confirm = "Do you want to set the default url import as case insensitive? When enabled Logaholic will set the default url reading as case insensitive.";    
        }
        ?>
        <a href="settings.php?toggle_urlinsensitive=1" onclick="return confirm('<?php echo $confirm; ?>');"><img  width=16 height=16 src=images/icons/eye.gif border=0 align=left> <?php echo "$encoding Url Insensitive Import as default";?></a><P> 

		<?php 
        if (getGlobalSetting("ToggleEmailAlerts",1) == 1) {
            $encoding = _DISABLE;
            $confirm = "Do you want to disable Email Alerts? When disabled Logaholic will no longer send users Email Alerts.";
        } else {
            $encoding = _ENABLE;
            $confirm = "Do you want to enable Email Alerts? When enabled Logaholic will be able to send users Email Alerts.";    
        }
        ?>
        <a href="settings.php?toggle_emailalerts=1" onclick="return confirm('<?php echo $confirm; ?>');"><img  width=16 height=16 src=images/icons/email_go.gif border=0 align=left> <?php echo "$encoding Email Alerts";?></a><P> 
		
		<?php $global_lang = getGlobalSetting("DefaultLanguage","english"); ?>
		<a id="open_change_default_lang" href="settings.php" onclick="return false;"><?php echo "<img width='16' height='16' src='images/flags/".ucwords($global_lang).".png' border='0' align='left' /> ". _SET_DEFAULT_LANG; ?></a><P>
		<div id="change_default_lang" title="<?php echo _SET_DEFAULT_LANG . " (". _CURRENTLY_SET_TO .": ".ucwords($global_lang).")"; ?>">						
			<form method="POST">
				<p style="margin:0px; text-align: center;"><?php echo _CLICK_FLAG_LANG; ?>.</p>
				<ul class="change_default_lang_list">
					<li><input type="submit" name="lang" value="dutch" style="background:url(images/flags/Dutch.png);"	/><?php echo _DUTCH; ?></li>
					<li><input type="submit" name="lang" value="english" style="background:url(images/flags/English.png);"	/><?php echo _ENGLISH; ?></li>
					<li><input type="submit" name="lang" value="french" style="background:url(images/flags/French.png);"	/><?php echo _FRENCH; ?></li>
					<li><input type="submit" name="lang" value="german" style="background:url(images/flags/German.png);"	/><?php echo _GERMAN; ?></li>
				</ul>
				<ul class="change_default_lang_list">					
					<li><input type="submit" name="lang" value="italian" style="background:url(images/flags/Italian.png);"	/><?php echo _ITALIAN; ?></li>
					<li><input type="submit" name="lang" value="portuguese" style="background:url(images/flags/Portuguese.png);" /><?php echo _PORTUGUESE; ?></li>
					<li><input type="submit" name="lang" value="spanish" style="background:url(images/flags/Spanish.png);"	/><?php echo _SPANISH; ?></li>
				</ul>
			</form>
		</div>
		
		<a id="open_change_affiliate" href="#"><img width='16' height='16' src='images/icons/surveys.gif' border='0' align='left'><?php echo _CHANGE_AFFILIATE_ID; ?></a><p>
		<div id="change_affiliate_id" title="<?php echo _CHANGE_AFFILIATE_ID; ?>">
			<P><?php echo _CHANGE_AFFILIATE_ID; ?></p>
			<div id="affiliate_feedback"></div>
			<form id="change_affiliate_form">
				<input type=text name="new_affiliate_id" id="new_affiliate_id" size="60" value="<?php echo getGlobalSetting("affiliate_id"); ?>">
				<button id="save_new_affiliate"><?php echo _SAVE; ?></button>
			</form>
		</div>		
		 <script language="javascript" type="text/javascript">
		 $( "#change_default_lang" ).dialog({
            autoOpen: false,
            modal: true,
            width:400,
            height:185
        });
		
        $( "#change_affiliate_id" ).dialog({
            autoOpen: false,
            modal: true,
            width:600,
            height:350
        });
		
        $( "#open_change_default_lang" ).click(function() {
            $("#change_default_lang").dialog("open");
            return false;
        });
		
        $( "#open_change_affiliate" ).click(function() {
            $("#change_affiliate_id").dialog("open");
            return false;
        });
        
        $( "#save_new_affiliate" ).click(function() { 
            $.ajax({
               type: "POST",
               url: "includes/change_affiliate.php",
               data: "new_affiliate_id="+document.getElementById("new_affiliate_id").value,
               success: function(msg){
                 if (msg!="") {
                     document.getElementById("affiliate_feedback").innerHTML = msg;
                 }
               }
             });
             return false;
        });

        </script>
		<a id="open_change_custom_format" href="#"><img width='16' height='16' src='images/icons/date.gif' border='0' align='left'><?php echo "Change Custom Date Format."; ?></a><p>
		<div id="change_custom_format" title="Change Custom Date Format" style='font-size:12px;'>
			<p>Below you can set a default date format for all the reports in every profile.</p>
			<p>You can also set the date fomat individual for each profile in their profile settings bij going to 'edit profile'.</p>
			<?php	
				echo "<form method='POST' action=''>";
					if(!empty($_REQUEST["sumbitDefaultFormat"])){
						$dateFormat = array(
						"format1" => $_REQUEST["format1"]
						,"seperator1" => $_REQUEST["seperator1"]
						,"format2" => $_REQUEST["format2"]
						,"seperator2" => $_REQUEST["seperator2"]
						,"format3" => $_REQUEST["format3"]
						,"seperator3" => $_REQUEST["seperator3"]
						,"format4" => $_REQUEST["format4"]
						);
						SetupCustomDateFormat($dateFormat);
						setGlobalSetting("profileDateFormat",json_encode($dateFormat));
					}else{
						$dateFormat = json_decode(getGlobalSetting("profileDateFormat",$dateFormat), true);
						SetupCustomDateFormat($dateFormat);
					} ?>
					<p class='datepreview'>Date Format Preview: <?php echo date(implode($dateFormat),time()); ?></p>
					<?php
					echo "<br/><input type='submit' value='"._SAVE."' name='sumbitDefaultFormat' />";
				echo "</form>";				
			?>
			<br/>
			<a class="restore-default-date-format-settings" style="cursor:pointer; color:#0000FF; text-decoration:underline;">Restore to Default Format.</a>
		</div>
		 <script language="javascript" type="text/javascript">
		 $(document).ready( function(){
			$( "#change_custom_format" ).dialog({
				autoOpen: false,
				modal: true,
				width:600,
				height:350
			});		
			$( "#open_change_custom_format" ).click(function() {
				$("#change_custom_format").dialog("open");
				return false;
			});
			$(".restore-default-date-format-settings").click( function(){
				$('.format1 option[value=m]').attr('selected', 'selected');
				$('.seperator1 option[value=-]').attr('selected', 'selected');
				$('.format2 option[value=d]').attr('selected', 'selected');
				$('.seperator2 option[value=-]').attr('selected', 'selected');
				$('.format3 option[value=Y]').attr('selected', 'selected');
				$('.seperator3 option').removeAttr('selected');
				$('.format4 option[value=]').attr('selected', 'selected');
				$.ajax({
				  url: 'includes/dateReturner.php',
				  data: {dateString : 'm-d-Y'},
				  success: function(result) {
						$(".datepreview").html("Date Format Preview: "+result);
				  }
				});					
			});
			$("#change_custom_format select").change( function(){
				$.ajax({
				  url: 'includes/dateReturner.php',
				  data: {dateString : $(".format1").val()+$(".seperator1").val()+$(".format2").val()+$(".seperator2").val()+$(".format3").val()+$(".seperator3").val()+$(".format4").val()},
				  success: function(result) {
						$(".datepreview").html("Date Format Preview: "+result);
				  }
				});				
			});	
		});	
        </script>
		
		<a id="open_change_datamanager_settings" href="#"><img width='16' height='16' src='images/icons/database.gif' border='0' align='left'>Datamanager Settings</a><p>
		<div id="change_datamanager_settings" title="Datamanager Settings" style='font-size:12px;'>
			<?php
			if(isset($_REQUEST["saveDataManagerSettings"])) {
				setGlobalSetting("datamanagersettings", $_REQUEST["datamanagerMonthLimit"]);
				
				$reverse = strrev( $_REQUEST["datamanagerDir"] );
				if($reverse[0] != "/") {
					$_REQUEST["datamanagerDir"] .= "/";
				}
				
				setGlobalSetting("datamanagerDirectory", $_REQUEST["datamanagerDir"]);
				setGlobalSetting("datamanagerStorageSize", $_REQUEST["maxManagerStorage"]);
			}
			?>
			<form method='POST'>
			<table cellpadding=6 border=0 width="95%">
			<tr>
				<td valign=top class="dotline" width="210">
					Max daterange in database:
				</td>
				<td valign=top class="dotline">
					<?php
					$currentSetting = getGlobalSetting("datamanagersettings",0);	
					echo "<select name='datamanagerMonthLimit'>";
						if($currentSetting == 0){ $sel = "selected='selected'"; } else { $sel = "";  }
						echo "<option value='0' {$sel}>No Limit</option>";
						if($currentSetting == 1){ $sel = "selected='selected'"; } else { $sel = "";  }
						echo "<option value='1' {$sel}>1 ". _MONTH ."</option>";
						if($currentSetting == 2){ $sel = "selected='selected'"; } else { $sel = "";  }
						echo "<option value='2' {$sel}>2 ". _MONTH ."</option>";
						if($currentSetting == 3){ $sel = "selected='selected'"; } else { $sel = "";  }
						echo "<option value='3' {$sel}>3 ". _MONTH ."</option>";
						if($currentSetting == 4){ $sel = "selected='selected'"; } else { $sel = "";  }
						echo "<option value='4' {$sel}>4 ". _MONTH ."</option>";
						if($currentSetting == 5){ $sel = "selected='selected'"; } else { $sel = "";  }
						echo "<option value='5' {$sel}>5 ". _MONTH ."</option>";
						if($currentSetting == 6){ $sel = "selected='selected'"; } else { $sel = "";  }
						echo "<option value='6' {$sel}>6 ". _MONTH ."</option>";
						if($currentSetting == 12){ $sel = "selected='selected'"; } else { $sel = "";  }
						echo "<option value='12' {$sel}>12 ". _MONTH ."</option>";					
					echo "</select>";
					?>
				</td>
			</tr>
			<tr>
				<?php $dataManDir = getGlobalSetting("datamanagerDirectory",logaholic_dir()."data/"); ?>	
				<td>Data directory:</td>
				<td><input type=text size="40" name="datamanagerDir" value="<?php echo $dataManDir; ?>"></td>
			</tr>
			<tr>
				<?php $maxManagerStorage = getGlobalSetting("datamanagerStorageSize",5000); ?>	
				<td>Maximum Log File storage size (Per Profile):</td>
				<td><input type=text size="15" id="maxManagerStorage" name="maxManagerStorage" value="<?php echo $maxManagerStorage; ?>"> MB</td>
			</tr>			
			<tr><td colspan=3><input name='saveDataManagerSettings' type='submit' value="Save"></td></tr>
		</table>
		</form>
		</div>
		<script language="javascript" type="text/javascript">
		$(document).ready( function(){
			$( "#change_datamanager_settings" ).dialog({
				autoOpen: false,
				modal: true,
				width:600,
				height:350
			});		
			$( "#open_change_datamanager_settings" ).click(function() {
				$("#change_datamanager_settings").dialog("open");
				return false;
			});
		});
		</script>
        <?php
		if (_LOGAHOLIC_EDITION == 4 || LOGAHOLIC_BASE_EDITION == "cPanel Edition") {
			# Dont need upload dir for Cpanel edition
		} else {
			include "includes/upload_dir.php";
			$upload = new UploadDir();
			$upload->ChangeDir();
		}
		
		if (_LOGAHOLIC_EDITION != 4) {
        ?>
        <a href="settings.php?uninstall=yes"><img  width=16 height=16 src=images/icons/delete.gif border=0 align=left> <?php echo _UNINSTALL_LOGAHOLIC;?></a><P>
        <?php
		}
        }
        ?>
</div>
<br>
<?php
if (((!$loginSystemExists) || ($userAuthenticationType == USER_AUTHENTICATION_NONE)) ||  (($validUserRequired) && $session->isAdmin() && _LOGAHOLIC_EDITION !=4)) {
    ?>
	<font color=red><b><?php echo _RECOMMENDATIONS;?>:</b></font>
	<P>
	<ol>
	<?php

	echo _DEFAULT_TXT_SETTINGS_PART1."<br /><br />";

	if (file_exists("install.php")===TRUE) {
		echo _DELETE_INSTALL_FILE;
	}
	echo _DEFAULT_TXT_SETTINGS_PART2;
	?>
	</ul>
	</ol>
	<?php
	include "includes/checksettings.php"; 

}
?>
</td></tr></table>
</div>


<P> &nbsp;<P>
<div align=center>
<font size=1 color=silver>
<a class=nodec href="credits.php<?php echo "?conf=$conf"; ?>">&copy 2005-<?php echo date('Y');?> Logaholic BV</a><br>
</font></div>
</body>
</html>
